<?php

    include("../../classes/database.class.php");
    include("../../classes/facturaModel.class.php");
    include("../../classes/facturaController.class.php");

    $idUsuario = $_POST["idUsuario"];
    $idTipoUsuario = $_POST["idTipoUsuario"];
    $matricula = $_POST["matricula"];
    $nomeCliente = $_POST["nomeCliente"];
    $nifCliente = $_POST["nifCliente"];
    $precoMatricula = $_POST["precoMatricula"];
    $nProcesso = $_POST["nProcesso"];
    $nQuadro = $_POST["nQuadro"];
    $placaFrente = $_POST["placaFrente"];
    $placaTras = $_POST["placaTras"];
    $classeVeiculo = $_POST["classeVeiculo"];
    $servico = $_POST["servico"];
    $idTipoDocumento = $_POST["idTipoDocumento"];
    $moradaCliente = $_POST["moradaCliente"];
    $codigoPostalCliente = $_POST["codigoPostalCliente"];
    $estado = $_POST["estado"];
    $estadoProducao = $_POST["estadoProducao"];

    if($nomeCliente == ""){
        $nomeCliente = "Consumidor Final";
    }
    if($nifCliente == ""){
        $nifCliente = "999999999";
    }
    if($moradaCliente == ""){
        $moradaCliente = null;
    }
    if($codigoPostalCliente == ""){
        $codigoPostalCliente = null;
    }

    $modelo = new FacturaController($idUsuario, $idTipoUsuario, $matricula, $nomeCliente, $nifCliente, $precoMatricula, $nProcesso, $nQuadro, $placaFrente, $placaTras, $classeVeiculo, $servico, $estado, $estadoProducao);
    $id = $modelo->createDocumento($idTipoDocumento, $moradaCliente, $codigoPostalCliente);
    echo $id;